Skip to content

Read process health​

GET
/healthz

Both serve and worker expose this route on their respective ports. Source/worker degradation is HTTP 200 with status=degraded; DB failure is HTTP 503.

Responses​

Success

application/json
JSON
{
  
"status": "string",
  
"db": "string",
  
"sources": {
  
  
"additionalProperties": "string"
  
},
  
"worker": {
  
  
"state": "string",
  
  
"last_cycle_at": "string",
  
  
"last_success_at": "string",
  
  
"last_error": "string",
  
  
"delivery_error": "string",
  
  
"in_flight": 0
  
},
  
"time": "string"
}

Playground​

Samples​